/*
 *	ERRNO.H		system error codes
 */

#ifndef _ERRNO_H
#define	_ERRNO_H

extern	int		errno;		/* system error number */

#define	is_syserr(n)	(n&0x8000)

#define	E_OK		0		/* no error */
#ifndef ERROR
#define	ERROR		(-1)		/* general error */
#endif

#define	ERLIMA		0xFFFF8150	/* limit reached */
#define	ERIDP		0xFFFF8210	/* illegal parameter */
#define	EROUTF		0xFFFF8511	/* out of file (EOF) */
#define	ERFDNE		0xFFFF8512	/* file does not exist */
#define	ERFAEX		0xFFFF8513	/* file already exists */
#define	ERDKFU		0xFFFF8521	/* disk full */
#define	ERATTD		0xFFFF8538	/* cannot delete file */
#define	ERSYNT		0xFFFF8550	/* illegal syntax */
#define	ERUCALL		0xFFFF85FE	/* illegal function number */
#define	ERLMFU		0xFFFF8621	/* too many modules */

#define	ERANGE		0xFFFF8150	/* limit reached, ANSI C error */
#define	EDOM		0xFFFF8210	/* illegal parameter, ANSI C error */
#define	EACCESS		0xFFFF8555	/* illegal attribute */

#define	EABORT		4		/* program aborted */

#endif	/* _ERRNO_H */

