/*
; BIOS and COM system call for user applications.
; ===============================================

;------------------------------------------------------------------------
; Author:	Franzi Edo.	The 10/12/98
; Modifs:
;
; Project:	Kameleon376SBC
; Goal:		Library for K376SBC system calls. This file is used
;			for building user applications.
;
; This module is (c) of Edoardo Franzi 1992-1998
; franzi@k-team.com
;
;------------------------------------------------------------------------
*/

#ifndef	_K376SBCBIOS_H
#define	_K376SBCBIOS_H

#include <kambios.h>

/* Not original BIOS system calls */
/* ============================== */

extern	int32	install_task(char *textId, uint32 stackLength, void (*procedure)());
extern	int32	kill_task(uint32 id);
extern	int32	tim_new_task(void (*procedure)());
#endif
